Bug 142438 - dmraid fails to group certain Promise RAID sets
dmraid fails to group certain Promise RAID sets
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dmraid (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Heinz Mauelshagen
Depends On:
  Show dependency treegraph
Reported: 2004-12-09 13:59 EST by Heinz Mauelshagen
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2005-252
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-09 09:06:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Heinz Mauelshagen 2004-12-09 13:59:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.4) Gecko/20030821

Description of problem:
The RAID set named grouping logic fails in certain cases
on Promise metadata. The name is created by using 1 out of 2
magic numbers and the worng one is picked in the failure case.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. dmraid -s

Actual Results:  Promise RAID set not recognized.

Expected Results:  Promise RAID set grouped and displayed correctly.

Additional info:
Comment 1 Heinz Mauelshagen 2005-01-25 10:14:38 EST
Came up with a fix to the Promise grouping logic.
Will be in .rc6.

Comment 2 Tim Powers 2005-06-09 09:06:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.